from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ElementMarkPriority(IntEnum):
    MINIMUM = 1
    AFTERMODIFY = auto()
    BEFOREMODIFY = auto()
